Package: org.gradle.model

## [Java] Class InvalidModelRuleException

- org.gradle.model.InvalidModelRuleException

- Thrown when there is a problem with the usage of a model rule.

  This exception is different to InvalidModelRuleDeclarationException in that it signifies a problem with using a model rule in a particular context, whereas `InvalidModelRuleDeclarationException` signifies a problem with the declaration of the model rule itself (which therefore means that the rule could not be used in any context).

  This exception should always have cause, that provides information about the actual problem.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InvalidModelRuleException (org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, Throwable cause)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDescriptor()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public InvalidModelRuleException(org.gradle.model.internal.core.rule.describe.ModelRuleDescriptor descriptor, Throwable cause)

  - ### Method Detail

    - #### public String getDescriptor()